package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;
import com.gh.gamecenter.message.KeFuFragment;

/**
 * Created by khy on 10/04/18.
 */

public class MessageKeFuActivity extends ToolBarActivity {

    @Override
    protected Intent provideNormalIntent() {
        return getTargetIntent(this, MessageKeFuActivity.class, KeFuFragment.class);
    }

    public static Intent getIntent(Context context, String entrance) {
        Bundle bundle = new Bundle();
        bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, MessageKeFuActivity.class, KeFuFragment.class, bundle);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }
}
